import os
import json
import time
import pickle
import sys
import numpy as np

from binarycpython.utils.grid import Population
from binarycpython.utils.functions import get_help_all, get_help, create_hdf5


import argparse


parser = argparse.ArgumentParser()

parser.add_argument(
    "resolution_M_1", help="Resolution in M_1",
)

parser.add_argument(
    "resolution_per", help="Resolution in period",
)

parser.add_argument(
    "amt_cores", help="The amount of nodes that are used for the multiprocessing",
)

parser.add_argument(
    "name_testcase", help="The name of the testcase (e.g. laptop, cluster etc)",
)


args = parser.parse_args()
res_m_1 = int(args.resolution_M_1)
res_per = int(args.resolution_per)
AMT_CORES = int(args.amt_cores)
name_testcase = args.name_testcase